Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 59555)
+++ channels/chan_sip.c	(working copy)
@@ -8834,7 +8834,8 @@
 			ast_log(LOG_ERROR, "Peer '%s' is trying to register, but not configured as host=dynamic\n", peer->name);
 		} else {
 			ast_copy_flags(&p->flags[0], &peer->flags[0], SIP_NAT);
-			transmit_response(p, "100 Trying", req);
+			/* Since RFC 3261 Section 8.2.6.1 is clearly saying, that we sould not send a 100 Trying, we are now stop sending a 100 Trying on incoming register */
+			//transmit_response(p, "100 Trying", req);
 			if (!(res = check_auth(p, req, peer->name, peer->secret, peer->md5secret, SIP_REGISTER, uri, XMIT_UNRELIABLE, ast_test_flag(req, SIP_PKT_IGNORE)))) {
 				sip_cancel_destroy(p);
 
